Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.translate
Class GCSanity

    java.lang.Object
      escjava.translate.GCSanity

public class GCSanity
extends java.lang.Object

Constructor Summary
`GCSanity()`

Method Summary
`static void` | `check(GuardedCmd g)`
`private static void` | `checkDeclsAndUses(GuardedCmd g, Set edci, Set cdni, Set euei, Set uuei, java.lang.String inflection, Set sp)` Checks that there are no duplicate definitions of local variables, including implicit outermost declarations and considering dynamic inflections.
`private static void` | `checkUses(Expr e, Set cdni, Set euei, Set uuei)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GCSanity

    public GCSanity()

Method Detail

### check

    public static void check(GuardedCmd g)

### checkDeclsAndUses

    private static void checkDeclsAndUses(GuardedCmd g,
                                          Set edci,
                                          Set cdni,
                                          Set euei,
                                          Set uuei,
                                          java.lang.String inflection,
                                          Set sp)

  Checks that there are no duplicate definitions of local variables, including implicit outermost declarations and considering dynamic inflections. Also checks that dynamic-inflection prefixes are unique.

  Parameters:
    `edci` - ever declared with current inflection
    `cdni` - currently declared with nonempty inflection
    `euei` - ever used with empty inflection
    `uuei` - unusable with empty inflection
    `inflection` - current inflection
    `sp` - seen prefixes (except "")

### checkUses

    private static void checkUses(Expr e,
                                  Set cdni,
                                  Set euei,
                                  Set uuei)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage